<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d9/db1/classThread_1_1Ip6_1_1Address.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::Ip6::Address Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a1c04d71e924b027baf699877969db09a">FromString</a>(const char *aBuf)</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a5782d1de44935ab3e52a2f82bb6a66db">GetIid</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ab60fecac0574e8580c2713491c68265c">GetIid</a>(void)</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ad4ff2b7d05753e0d533ff30a186f53dc">GetScope</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a88e2c3649cb021b804c74c96355c2b54">IsIidReserved</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a4324d9e8d96f5381d6b4e81e75f46364">IsInterfaceLocal</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a95748f9c0a5048ce8700cd040d7efc52">IsLinkLocal</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#abee97978cb61c9eff664a3a277ac3d8c">IsLinkLocalAllNodesMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a17b1f0739fe8928caf31f86625c36dea">IsLinkLocalAllRoutersMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a25eecfa3d5faa101e497e8fde3964e13">IsLinkLocalMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#adf30776c446d5413a6bc783fe967311b">IsLoopback</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a37b709740053966d80e6c4b65e38ad2e">IsMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a93d389acbb866c3901ee565f1acaf551">IsRealmLocalAllNodesMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a6cc8ec59ac4c6b8162fba7ca194e0d11">IsRealmLocalAllRoutersMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ab70000abd6ac0e216974ab012d4159d6">IsRealmLocalMulticast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a1190c16fbb7ba372aa8c15ad6018f5aa">IsReservedSubnetAnycast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a042097e2896ce7eebc1844140c0d2aeb">IsRoutingLocator</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a304f6cee01d4bb854cb3f2a875de2ab5">IsSubnetRouterAnycast</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813">IsUnspecified</a>(void) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a06c406f9009b61b7dbc44d6b48d1ae00">kAdminLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a4733023881ae97df1c35ee8ad5634896">kGlobalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#acbc13cfb9a17025f1f57051f71dd4f00a4141f36de1ffc17734ac73ffce2f592b">kInterfaceIdentifierSize</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a2a02317f59bab272e2c3572bc13ab299">kInterfaceLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1afb770873a11bb2aabb16a574ab04b04d">kLinkLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1adab25f2ccc7248061429fbea3c2dc630">kNodeLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a8f513bcf10c0cf9925d7d9bc9b8d3a66">kOrgLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a5ea73d3b52d8b6e4159753d696afc55a">kRealmLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1aec67b5d4893eb0e86e52532a30fef78e">kSiteLocalScope</a> enum value</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html#a8a1247a0b028c0b5d9804e27696d24e2">m16</a></td><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html#a1311d1bfc108b886e69268038a97ca0a">m32</a></td><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html#aa5b811bbdf02971144bf96d754b205c5">m8</a></td><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html#ae85545c6b8dba7d992321968aec7849c">mFields</a></td><td class="entry"><a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a096236983059900be2d9722ab754df14">operator!=</a>(const Address &amp;aOther) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ae674bef975e707f415dd539440abf73e">operator==</a>(const Address &amp;aOther) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a50ea97e2c30c6d86a74ec20558076c46">PrefixMatch</a>(const Address &amp;aOther) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa">SetIid</a>(const uint8_t *aIid)</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a23ca09395bca99923c8765cbc46fe81a">SetIid</a>(const Mac::ExtAddress &amp;aEui64)</td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a135bea8843d8668a16b4657bea43d55e">ToString</a>(char *aBuf, uint16_t aSize) const </td><td class="entry"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
